package edu.dartmouth.cs.kalah;

/**
 * Holds information about and interacts with a human player
 * @author Scot Drysdale, 8/2011
 */

public class HumanKalahPlayer extends KalahPlayer {

	/**
	 * @param name name of the human player
	 */
	public HumanKalahPlayer (String name) {
		super(name);
	}
	
	@Override
	public int getMove(KalahGame state, KalahView view) {
	  // Get a move for the user 
	  return view.getUserMove(state);
	}

}
